## startup-disk 0.1.5

=== Makefile ===
DESTDIR ?=
PREFIX ?= /usr
BINDIR ?= $(PREFIX)/bin
DATADIR ?= $(PREFIX)/share

RUSTFLAGS ?= --release

ROOTDIR := $(dir $(realpath $(lastword $(MAKEFILE_LIST))))
APP_ID := org.startup_disk.StartupDisk

all: build

appdata-test:
	gnome-software --show-metainfo=$(ROOTDIR)/res/$(APP_ID).metainfo.xml,icon=$(ROOTDIR)/res/$(APP_ID).svg

appdata-validate:
	appstream-util validate-strict res/$(APP_ID).metainfo.xml

build:
	cargo build $(RUSTFLAGS)

check: check-bin check-data

check-bin:
	cargo test $(RUSTFLAGS)

check-data:
	desktop-file-validate res/$(APP_ID).desktop
	appstream-util validate-relax --nonet res/$(APP_ID).metainfo.xml

clean:
	rm -rf target

install: install-bin install-data update-caches

install-bin:
	install -Dpm0755 -t $(DESTDIR)$(BINDIR)/ target/release/startup-disk

install-data:
	desktop-file-install --dir=$(DESTDIR)$(DATADIR)/applications/ res/$(APP_ID).desktop
	install -Dpm0644 -t $(DESTDIR)$(DATADIR)/icons/hicolor/scalable/apps/ res/$(APP_ID).svg
	install -Dpm0644 -t $(DESTDIR)$(DATADIR)/metainfo/ res/$(APP_ID).metainfo.xml
	install -Dpm0644 -t $(DESTDIR)$(DATADIR)/polkit-1/actions/ res/$(APP_ID).policy

uninstall: uninstall-bin uninstall-data update-caches

uninstall-bin:
	rm -f $(DESTDIR)$(BINDIR)/startup-disk

uninstall-data:
	rm -f $(DESTDIR)$(DATADIR)/applications/$(APP_ID).desktop
	rm -f $(DESTDIR)$(DATADIR)/icons/hicolor/scalable/apps/$(APP_ID).svg
	rm -f $(DESTDIR)$(DATADIR)/metainfo/$(APP_ID).metainfo.xml
	rm -f $(DESTDIR)$(DATADIR)/polkit-1/actions/$(APP_ID).policy

update-caches:
	gtk-update-icon-cache --force --ignore-theme-index $(DESTDIR)$(DATADIR)/icons/hicolor
	update-desktop-database $(DESTDIR)$(DATADIR)/applications

.PHONY: appdata-test appdata-validate check check-bin check-data install install-bin install-data uninstall uninstall-bin uninstall-data update-caches

=== debian/control ===
Source: startup-disk
Section: utils
Priority: optional
Maintainer: Debian Bananas Team <team+bananas@tracker.debian.org>
Uploaders:
 NoisyCoil <noisycoil@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-cargo,
 appstream-util <!nocheck>,
 cargo:native,
 desktop-file-utils <!nocheck>,
 librust-asahi-bless-0.4-dev,
 librust-glib-build-tools-0.20-dev,
 librust-gtk4-0.9-dev,
 librust-libadwaita-0.7-dev,
 librust-rand-0.8-dev,
 librust-uuid-1-dev,
 librust-uzers-0.12-dev,
 libstd-rust-dev,
 rustc:native,
Standards-Version: 4.7.2
Homepage: https://gitlab.gnome.org/davide125/startup-disk
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/bananas-team/startup-disk.git
Vcs-Browser: https://salsa.debian.org/bananas-team/startup-disk

Package: startup-disk
Architecture: arm64
Multi-Arch: foreign
Depends:
 hicolor-icon-theme,
 pkexec,
 ${cargo:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 ${cargo:Recommends},
Suggests:
 sudo,
 ${cargo:Suggests},
Provides:
 ${cargo:Provides},
Built-Using:
 ${cargo:Built-Using},
Static-Built-Using: ${cargo:Static-Built-Using}
Description: choose the startup disk on Apple Silicon machines
 Startup Disk provides a simple graphical interface to choose the startup
 volume on Apple Silicon Macs running Asahi Linux.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk
include /usr/share/rustc/architecture.mk

export DEB_HOST_RUST_TYPE
export DEB_HOST_GNU_TYPE
export PATH := /usr/share/cargo/bin:$(PATH)
export CARGO=/usr/share/cargo/bin/cargo
export CARGO_HOME=$(CURDIR)/debian/cargo_home
export CARGO_REGISTRY=debian/cargo_registry
export DEB_CARGO_CRATE=$(DEB_SOURCE)_$(DEB_VERSION_UPSTREAM)

%:
	dh $@

execute_before_dh_auto_configure:
	$(CARGO) prepare-debian $(CARGO_REGISTRY) --link-from-system
	mv $(CURDIR)/Cargo.lock $(CURDIR)/debian/Cargo.lock

execute_after_dh_auto_install:
	dh-cargo-built-using startup-disk

override_dh_auto_clean:
	dh_auto_clean
	mv $(CURDIR)/debian/Cargo.lock $(CURDIR) || true
	rm -rf $(CARGO_HOME) $(CARGO_REGISTRY)

=== debian/watch ===
version=4
opts="searchmode=plain" \
 https://gitlab.gnome.org/davide125/@PACKAGE@/tags?sort=updated_desc -/archive/v?\d[\d.]+/@PACKAGE@-@ANY_VERSION@.tar.gz
